package com.yihu.ehr.svrinspection.model;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * @author HZY
 * @created 2018/11/9 16:02
 */
@Entity
@Table(name = "org_assistance_apply", schema = "", catalog = "healtharchive")
public class OrgAssistanceApplyModel {
    private String applyOrg;
    private String applyUserId;
    private Timestamp applyDate;
    private String remark;
    private String picture;
    private Integer isRead;
    private String solutionOrg;
    private Integer solutionStatus;
    private Timestamp solutionDate;
    private String solutionReply;
    private String solutionUserId;
    private String solutionUserName;
    private String profileId;
    private String examType;
    private String examDept;
    private String examItemName;
    private String patientName;
    private String patientAge;
    private String patientSex;
    private int id;

    @Basic
    @Column(name = "apply_org", nullable = true, length = 32)
    public String getApplyOrg() {
        return applyOrg;
    }

    public void setApplyOrg(String applyOrg) {
        this.applyOrg = applyOrg;
    }

    @Basic
    @Column(name = "apply_user_id", nullable = true, length = 32)
    public String getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(String applyUserId) {
        this.applyUserId = applyUserId;
    }

    @Basic
    @Column(name = "apply_date", nullable = true)
    public Timestamp getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(Timestamp applyDate) {
        this.applyDate = applyDate;
    }

    @Basic
    @Column(name = "remark", nullable = true, length = 255)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Basic
    @Column(name = "picture", nullable = true, length = 255)
    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    @Basic
    @Column(name = "is_read", nullable = true)
    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    @Basic
    @Column(name = "solution_org", nullable = true, length = 255)
    public String getSolutionOrg() {
        return solutionOrg;
    }

    public void setSolutionOrg(String solutionOrg) {
        this.solutionOrg = solutionOrg;
    }

    @Basic
    @Column(name = "solution_status", nullable = true)
    public Integer getSolutionStatus() {
        return solutionStatus;
    }

    public void setSolutionStatus(Integer solutionStatus) {
        this.solutionStatus = solutionStatus;
    }

    @Basic
    @Column(name = "solution_date", nullable = true)
    public Timestamp getSolutionDate() {
        return solutionDate;
    }

    public void setSolutionDate(Timestamp solutionDate) {
        this.solutionDate = solutionDate;
    }

    @Basic
    @Column(name = "solution_reply", nullable = true, length = 255)
    public String getSolutionReply() {
        return solutionReply;
    }

    public void setSolutionReply(String solutionReply) {
        this.solutionReply = solutionReply;
    }

    @Basic
    @Column(name = "solution_user_id", nullable = true, length = 32)
    public String getSolutionUserId() {
        return solutionUserId;
    }

    public void setSolutionUserId(String solutionUserId) {
        this.solutionUserId = solutionUserId;
    }

    @Basic
    @Column(name = "solution_user_name", nullable = true, length = 255)
    public String getSolutionUserName() {
        return solutionUserName;
    }

    public void setSolutionUserName(String solutionUserName) {
        this.solutionUserName = solutionUserName;
    }

    @Basic
    @Column(name = "profile_id", nullable = true, length = 32)
    public String getProfileId() {
        return profileId;
    }

    public void setProfileId(String profileId) {
        this.profileId = profileId;
    }

    @Basic
    @Column(name = "exam_type", nullable = true, length = 2)
    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    @Basic
    @Column(name = "exam_dept", nullable = true, length = 25)
    public String getExamDept() {
        return examDept;
    }

    public void setExamDept(String examDept) {
        this.examDept = examDept;
    }

    @Basic
    @Column(name = "exam_item_name", nullable = true, length = 255)
    public String getExamItemName() {
        return examItemName;
    }

    public void setExamItemName(String examItemName) {
        this.examItemName = examItemName;
    }

    @Basic
    @Column(name = "patient_name", nullable = true, length = 25)
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Basic
    @Column(name = "patient_age", nullable = true, length = 4)
    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }

    @Basic
    @Column(name = "patient_sex", nullable = true, length = 2)
    public String getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(String patientSex) {
        this.patientSex = patientSex;
    }

    @Id
    @Column(name = "id", nullable = false)
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

}
